## jnoisemeter 0.1.0

=== source/Makefile ===
#  --------------------------------------------------------------------------
#
#  Copyright (C) 2010 Fons Adriaensen <fons@kokkinizita.net>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
#  --------------------------------------------------------------------------


PREFIX = /usr/local
SHARED = $(PREFIX)/share/jnoisemeter
SUFFIX := $(shell uname -m | sed -e 's/^unknown/$//' -e 's/^i.86/$//' -e 's/^x86_64/$/64/')
LIBDIR = lib$(SUFFIX)
VERSION = 0.1.0
CPPFLAGS += -O2 -Wall -MMD -MP -I/usr/include/freetype2
CPPFLAGS += -DVERSION=\"$(VERSION)\" -DPREFIX=\"$(PREFIX)\" -DSHARED=\"$(SHARED)\"
CPPFLAGS += -march=native
LDFLAGS += -L$(PREFIX)/$(LIBDIR) -L/usr/X11R6/$(LIBDIR)


JNOISEMETER_O = jnoisemeter.o jclient.o mainwin.o styles.o acfilter.o itu468filter.o \
	lpeq20filter.o rmsdetect.o itu468detect.o vumdetect.o 
jnoisemeter:	LDLIBS += -lclthreads -lclxclient -lpthread -ljack -lXft -lpng -lX11 -lrt
jnoisemeter:	LDFLAGS += -L$(PREFIX)/$(LIBDIR) -L/usr/X11R6/$(LIBDIR)
jnoisemeter:	$(JNOISEMETER_O)
	g++ $(LDFLAGS) -o $@ $(JNOISEMETER_O) $(LDLIBS)

$(JNOISEMETER_O):
-include $(JNOISEMETER_O:%.o=%.d)


install:	jnoisemeter
	install -d $(DESTDIR)$(PREFIX)/bin
	install -m 755 jnoisemeter $(DESTDIR)$(PREFIX)/bin

clean:
	rm -f *~ *.o *.a *.d *.so jnoisemeter

=== debian/changelog ===
jnoisemeter (0.1.0-4) unstable; urgency=medium

  * Set dh 10.
  * Update copyright file.
  * Sign tags.
  * Drop menu file.
  * Bump Standards.
  * Fix VCS fields.
  * Fix hardening.
  * Avoid useless linking.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 22 Dec 2016 21:44:53 +0100

jnoisemeter (0.1.0-3) unstable; urgency=low

  * Set dh/compat 9.
  * Bump standards.
  * Tighten build-dep on libclxclient.
  * Removed DMUA.
  * Fix VCS canonical URLs.
  * Added Keywords entry to desktop file.
  * Don't sign tags.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 07 Aug 2013 01:48:58 +0200

jnoisemeter (0.1.0-2) unstable; urgency=low

   [ Alessio Treglia ]
  * Update debian/copyright.
  * libpng12-dev -> libpng-dev (Closes: #662385).
  * Bump Standards.

   [ Jaromír Mikeš ]
  * wrap-and-sort -a -s

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 11 Apr 2012 01:45:50 +0200

jnoisemeter (0.1.0-1) unstable; urgency=low

  * Initial release (Closes: #636275)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 02 Aug 2011 22:01:15 +0200

=== debian/control ===
Source: jnoisemeter
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 debhelper (>= 10),
 libclthreads-dev (>= 2.4.0),
 libclxclient-dev (>= 3.9.0),
 libjack-dev,
 libpng-dev
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/jnoisemeter.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/jnoisemeter.git
Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/downloads/index.html

Package: jnoisemeter
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: audio test signals meter
 A jnoisemeter is a small app designed to measure audio
 test signals and in particular noise signals.
 .
 The simplest use is to measure the S/N ratio of your
 sound card. If you can calibrate the input levels of
 your soundcard it can also be used (with some external
 hardware) to measure noise levels of any type of audio
 equipment, including preamps and microphones.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export LDLIBS += -Wl,--as-needed

%:
	dh $@ --sourcedir=source 

override_dh_installchangelogs:
	dh_installchangelogs README

override_dh_auto_install:
	dh_auto_install
	install -d $(CURDIR)/debian/jnoisemeter/usr/share/applications/
	install -d $(CURDIR)/debian/jnoisemeter/usr/share/pixmaps/
	install -m 644 $(CURDIR)/debian/*.desktop $(CURDIR)/debian/jnoisemeter/usr/share/applications/
	install -m 644 $(CURDIR)/debian/*.xpm $(CURDIR)/debian/jnoisemeter/usr/share/pixmaps/

=== debian/watch ===
version=3

http://kokkinizita.linuxaudio.org/linuxaudio/downloads/index.html \
	jnoisemeter-(.*)\.tar\.bz2

## jnoisemeter 0.2.2

=== source/Makefile ===
# ----------------------------------------------------------------------------
#
#  Copyright (C) 2010-2018 Fons Adriaensen <fons@linuxaudio.org>
#    
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# ----------------------------------------------------------------------------


PREFIX ?= /usr/local
BINDIR ?= $(PREFIX)/bin

VERSION = 0.2.2
CPPFLAGS += -MMD -MP -DVERSION=\"$(VERSION)\"
CPPFLAGS += $(shell pkgconf --cflags freetype2)
CXXFLAGS += -O2 -Wall
CXXFLAGS += -march=native
LDLIBS += -lclthreads -lclxclient -lpthread -ljack -lXft -lX11 -lrt


JNOISEMETER_O = jnoisemeter.o jclient.o mainwin.o styles.o acfilter.o \
	itu468filter.o lpeq20filter.o rmsdetect.o itu468detect.o vumdetect.o 
jnoisemeter:	$(JNOISEMETER_O)
	$(CXX) $(LDFLAGS) -o $@ $(JNOISEMETER_O) $(LDLIBS)
$(JNOISEMETER_O):
-include $(JNOISEMETER_O:%.o=%.d)


install:	jnoisemeter
	install -d $(DESTDIR)$(BINDIR)
	install -m 755 jnoisemeter $(DESTDIR)$(BINDIR)


uninstall:
	rm -f $(DESTDIR)$(BINDIR)/jnoisemeter


clean:
	rm -f *~ *.o *.a *.d *.so *.gp jnoisemeter

=== debian/changelog ===
jnoisemeter (0.2.2-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:44:41 +0100

jnoisemeter (0.2.2-1) unstable; urgency=medium

  * Team upload.

  [ Olivier Humbert ]
  * d/jnoisemeter.desktop:
    - add French GenericName and Comment
  * d/copyright:
    - add myself

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Sebastian Ramacher ]
  * New upstream release
    - Honor CXX (Closes: #906153)
  * debian/patches: Refresh patche
  * debian/control:
    - Update Standards-Version
    - Set RRR: no
    - Bump debhelper compat to 12
    - Build-Depend on pkg-config
  * debian/copyright: Update copyright years

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 03 Oct 2019 22:52:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,21 @@
 Source: jnoisemeter
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 12),
  libclthreads-dev (>= 2.4.0),
  libclxclient-dev (>= 3.9.0),
  libjack-dev,
- libpng-dev
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/jnoisemeter.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/jnoisemeter.git
+ libpng-dev,
+ pkg-config
+Standards-Version: 4.4.1
+Vcs-Git: https://salsa.debian.org/multimedia-team/jnoisemeter.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/jnoisemeter
 Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/downloads/index.html
+Rules-Requires-Root: no
 
 Package: jnoisemeter
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,11 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-
+export PREFIX=/usr
 export LDLIBS += -Wl,--as-needed
 
 %:
-	dh $@ --sourcedir=source 
+	dh $@ --sourcedir=source
 
 override_dh_installchangelogs:
 	dh_installchangelogs README

## jnoisemeter 0.4.1

=== source/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # ----------------------------------------------------------------------------
 #
-#  Copyright (C) 2010-2018 Fons Adriaensen <fons@linuxaudio.org>
+#  Copyright (C) 2010-2023 Fons Adriaensen <fons@linuxaudio.org>
 #    
 #  This program is free software; you can redistribute it and/or modify
 #  it under the terms of the GNU General Public License as published by
@@ -21,7 +21,7 @@
 PREFIX ?= /usr/local
 BINDIR ?= $(PREFIX)/bin
 
-VERSION = 0.2.2
+VERSION = 0.4.1
 CPPFLAGS += -MMD -MP -DVERSION=\"$(VERSION)\"
 CPPFLAGS += $(shell pkgconf --cflags freetype2)
 CXXFLAGS += -O2 -Wall
@@ -30,7 +30,8 @@
 
 
 JNOISEMETER_O = jnoisemeter.o jclient.o mainwin.o styles.o acfilter.o \
-	itu468filter.o lpeq20filter.o rmsdetect.o itu468detect.o vumdetect.o 
+	itu468filter.o lpeq20filter.o bp6filter.o oct1param1.o \
+	rmsdetect.o itu468detect.o vumdetect.o 
 jnoisemeter:	$(JNOISEMETER_O)
 	$(CXX) $(LDFLAGS) -o $@ $(JNOISEMETER_O) $(LDLIBS)
 $(JNOISEMETER_O):

=== debian/changelog ===
jnoisemeter (0.4.1-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:02:37 +1100

jnoisemeter (0.4.1-1build1) noble; urgency=medium

  * Rebuild against latest clthreads

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 14 Mar 2024 07:14:07 -0400

jnoisemeter (0.4.1-1) unstable; urgency=medium

  [ Olivier Humbert ]
  * Update control (http -> https)
  * Update watch (http -> https)
  * Update copyright (http -> https)
  * Update copyright (bump 2019)

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

  [ Dennis Braun ]
  * New upstream version 0.4.1
  * d/control:
    + Bump dh-compat to 13
    + Add myself as uploader
    + Bump Standards-Version to 4.6.2
  * d/copyright:
    + Bump d/copyright year
    + Add myself to the d/ section of d/copyright
  * Refresh patchset
  * d/rules:
    + Remove unnecessary build flags
    + Use -D flag instead of --source
  * Bump d/watch version to 4

 -- Dennis Braun <snd@debian.org>  Sun, 14 Jan 2024 15:05:23 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,22 @@
 Source: jnoisemeter
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
- Jaromír Mikeš <mira.mikes@seznam.cz>
+ Jaromír Mikeš <mira.mikes@seznam.cz>,
+ Dennis Braun <snd@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
- libclthreads-dev (>= 2.4.0),
- libclxclient-dev (>= 3.9.0),
+ debhelper-compat (= 13),
+ libclthreads-dev,
+ libclxclient-dev,
  libjack-dev,
  libpng-dev,
  pkg-config
-Standards-Version: 4.4.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/multimedia-team/jnoisemeter.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/jnoisemeter
-Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/downloads/index.html
+Homepage: https://kokkinizita.linuxaudio.org/linuxaudio/downloads/index.html
 Rules-Requires-Root: no
 
 Package: jnoisemeter

=== debian/watch ===
version=4

https://kokkinizita.linuxaudio.org/linuxaudio/downloads/index.html \
	jnoisemeter-(.*)\.tar\.bz2
